struct TextLabel <: Component
	letters:: Vector{Cell}
	pos:: Tuple{<:Integer, <:Integer}
	
	TextLabel(text:: AbstractString, x:: Integer, y:: Integer) = new([Cell(char, nothing, nothing) for char in text], (x, y))
	
	TextLabel(text:: AbstractString) = TextLabel(text, 1, 1)
end

text(text_label:: TextLabel) = prod([l.char for l in text_label.letters])

function draw_component!(buffer:: Buffer, text_label:: TextLabel)
    x, y = text_label.pos
    for letter in text_label.letters
        if x > size(buffer.cells, 1)
            x = text_label.pos[1]
            y += 1
        end
        y > size(buffer.cells, 2) && (y -= 1)
        buffer[x, y] = letter
        x += 1
    end
end
